Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006216TestLinkTest Plan - Assign Test Case Executionpublic2014-02-19 09:222014-04-25 17:38
ReporterJuan1 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows, LinuxOSWindows 7, Ubuntu 13, RHEL 6OS Version32bit & 64bit
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006216: Crash when changing from TestPlan with Builds to TestPlan with NO Builds in the "Assign Test Case Execution" Window
DescriptionCrash when changing from one TestPlan with Builds to another TestPlan with NO Builds using the "Settings" menu on the left side in the "Assign Test Case Execution" window.

The error is tracked to line 6260 in file: /lib/functions/testplan.class.php

I think that the line that generates the error is:
throw new Exception( $debugMsg . " Can NOT WORK with \$my['filters']['build_id'] <= 0");
Steps To Reproduce1. Create TestPlan01

2. Create Build01 for TestPlan01

3. Create TestPlan02 (with NO builds)

4. Select the TestPlan01

5. Go to "Assign Test Case Execution"

6. In the "Settings" area on the left, select TestPlan02

7. Left tree shows error message
Additional InformationA temporary workaround has been applied for the moment to redirect the user to the No Build available page.

Replace:
  throw new Exception( $debugMsg . " Can NOT WORK with \$my['filters']['build_id'] <= 0");

With:
  echo '<script language="javascript">';
  echo 'top.mainframe.location.href = "../general/frmWorkArea.php?feature=tc_exec_assignment";';
  echo '</script>';
  exit();

Hope this helps.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.5
BrowserAny
PHP Version5.4.24
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Screenshot01.png [^] (90,262 bytes) 2014-02-19 09:22

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020501)
fman (administrator)
2014-02-27 15:31

Thanks.
Minor note about mantis: reported do not have/need to monitor issues that he/she has reported ,to receive news about activities done bh other users on the issue
(0020520)
fman (administrator)
2014-03-04 14:24

Right approach IMHO is to display ONLY Test Plans that have builds.
I'm going to try to fix in this way
(0020522)
fman (administrator)
2014-03-04 16:36

https://gitorious.org/testlink-ga/testlink-code/commit/75c566025cb076afcf53d90413f0653e7f7977a3 [^]
(0020823)
fman (administrator)
2014-04-25 17:38

1.9.10 released

- Issue History
Date Modified Username Field Change
2014-02-19 09:22 Juan1 New Issue
2014-02-19 09:22 Juan1 File Added: Screenshot01.png
2014-02-27 15:31 fman Note Added: 0020501
2014-03-04 14:24 fman Note Added: 0020520
2014-03-04 16:36 fman QA Team - Task Workflow Status => TBD
2014-03-04 16:36 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-03-04 16:36 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-03-04 16:36 fman Note Added: 0020522
2014-03-04 16:36 fman Status new => resolved
2014-03-04 16:36 fman Resolution open => fixed
2014-03-04 16:36 fman Assigned To => fman
2014-03-04 16:37 fman Relationship added child of 0006048
2014-04-25 17:38 fman Note Added: 0020823
2014-04-25 17:38 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker